Subject: Re: [PATCH] "master" should be treated no differently from any other branch

From: Han-Wen Nienhuys <[email-masked]>
Date: Thu, 14 Dec 2006 16:47:39 +0100

Johannes Schindelin escreveu:
> Hi,
> 
> On Thu, 14 Dec 2006, Andy Parkins wrote:
> 
>> "master" shouldn't get special treatment; making different log messages 
>> based on the name of the branch is bad form.  What if a user likes 
>> "my/master" or "my/head" as their master branch?
> 
> I do not agree. There is usually a principal branch, where you collect the 
> topics, and you do want to treat that special. As for the name: better 
> have a convention here than configurability. You would not want "git" to 
> be called "guitar" for some users, just because they happen to like that 
> name more, either, right?

Disagree: I have two principal branches, master and stable/2.10.  I don't see
why the latter should get different commit messages.

-- 
 Han-Wen Nienhuys - [email-masked] - http://www.xs4all.nl/~hanwen